Kontextmenü Webseite leer

  • Wenn ich dieses script !seitenanfang.Ende.uc.js rausnehme, sieht das Kontextmenü so aus




    Bewirkt ja in der 68.0.2, dass ich 2 Pfeile für "Seitenanfang" und "Seitenende" habe.




    Dann funktioniert dieses script auch nicht mehr: tabschliessen.uc.js

    JavaScript
    1. (function() {
    2. var menuitem = document.createElement('menuitem');
    3. menuitem.id = 'uc_menu_close_tab';
    4. menuitem.setAttribute('label' , 'Tab schliessen');
    5. menuitem.setAttribute('oncommand' , 'gBrowser.removeCurrentTab();');
    6. var refItem = document.getElementById('contentAreaContextMenu');
    7. refItem.append( menuitem );
    8. })();


    Ist es irgendwie möglich, die Pfeile und das "Tab schließen" einzubauen?

  • Für beide Skripte gilt:


    Ab Fx 69 wird createElement zu createXULElement und

    browser.xul wird browser.xthml.


    Egal welches Skript oder welcher CSS-Code createElement und browser.xul müssen ersetzt werden, wo sie vorkommen.


    Mache mal bitte in deine Skripte Zeilenumbrüche. Das kann doch kaum ein Mensch lesen, wenn das so aneinandergeklatscht steht.

    Übersetzer für Obersorbisch und Niedersorbisch auf pontoon.mozilla.org u.a. für Firefox, Firefox für Android, Firefox für iOS, Firefox Klar/Focus für iOS und Android, Thunderbird, Pootle, Django, LibreOffice und WordPress

  • Für beide Skripte gilt:


    Ab Fx 69 wird createElement zu createXULElement und

    browser.xul wird browser.xthml.

    Habe ich gemacht und beide scripte funktionieren jetzt.

    Mache mal bitte in deine Skripte Zeilenumbrüche. Das kann doch kaum ein Mensch lesen, wenn das so aneinandergeklatscht steht.

    Habe ich in #8 korrigiert. War irgendwie ein Kopierfehler.


    Herzlichen Dank!

  • Habe ich gemacht und beide scripte funktionieren jetzt.

    Herzlichen Dank!

    Du wirst lachen, bei mir funktioniert das Skript ScrollTopAndBottom.uc.js nicht. Eigentlich erwarte ich da zwei Grafiken (Pfeil hoch und Pfeil herunter) zu sehen. Oder mache ich etwas falsch?


    Ansonsten: Gern geschehen.

    Übersetzer für Obersorbisch und Niedersorbisch auf pontoon.mozilla.org u.a. für Firefox, Firefox für Android, Firefox für iOS, Firefox Klar/Focus für iOS und Android, Thunderbird, Pootle, Django, LibreOffice und WordPress

  • Die sind im Rechtsklick Kontextmenü auf einer Webseite

    Ach, danke :thumbup:. Jetzt erinnere ich mich auch. Wahrscheinlich beginnende Alzheimer. :-)

    Übersetzer für Obersorbisch und Niedersorbisch auf pontoon.mozilla.org u.a. für Firefox, Firefox für Android, Firefox für iOS, Firefox Klar/Focus für iOS und Android, Thunderbird, Pootle, Django, LibreOffice und WordPress

  • Da fragst du den richtigen....


    Vielleicht nimmt bei dir ein anderes script Einfluss darauf?

    Nein, das hatte ich getestet. Ich hatte einfach vergessen, wo ich suchen muss. Ich nutze viele Skripte und CSS-Codes selbst nicht, helfe aber dennoch dabei aus. Da geht dann schon mal im Gedächtnis verloren, wo was ein Skript bzw. Code macht.

    Übersetzer für Obersorbisch und Niedersorbisch auf pontoon.mozilla.org u.a. für Firefox, Firefox für Android, Firefox für iOS, Firefox Klar/Focus für iOS und Android, Thunderbird, Pootle, Django, LibreOffice und WordPress

  • Steht ja gleich im ersten Beitrag...


    Klappt es jetzt?

    Auch so etwas, man liest oft zu flüchtig. :-( Ja, jetzt klappt es, danke.

    Übersetzer für Obersorbisch und Niedersorbisch auf pontoon.mozilla.org u.a. für Firefox, Firefox für Android, Firefox für iOS, Firefox Klar/Focus für iOS und Android, Thunderbird, Pootle, Django, LibreOffice und WordPress